import chalk from "chalk";
import { logLine } from "./cli/lines.js";
import { getNpmUserInfo } from "./getNpmUserInfo.js";
async function getNpmAuthor(owner) {
  const result = await getNpmUserInfo();
  if (!result.succeeded) {
    logLine();
    logLine(chalk.gray(result.reason));
    return owner;
  }
  const { email, name = owner } = result.value;
  return email ? `${name} <${email}>` : name;
}
export {
  getNpmAuthor
};
//# sourceMappingURL=getNpmAuthor.js.map