import { $ } from "execa";
import npmUser from "npm-user";
async function getNpmUserInfo() {
  let username;
  try {
    const { stdout } = await $`npm whoami`;
    username = stdout;
  } catch {
    return {
      reason: "Could not populate npm user. Failed to run npm whoami.",
      succeeded: false
    };
  }
  try {
    const user = await npmUser(username);
    return { succeeded: true, value: user };
  } catch {
    return {
      reason: "Could not populate npm user. Failed to retrieve user info from npm.",
      succeeded: false
    };
  }
}
export {
  getNpmUserInfo
};
//# sourceMappingURL=getNpmUserInfo.js.map