import { $ } from "execa";
import { readFileSafe } from "./readFileSafe.js";
async function readPackageData() {
  return JSON.parse(
    await readFileSafe("./package.json", "{}")
  );
}
async function removeDependencies(packageNames, packageData) {
  await $`pnpm remove ${packageNames.filter(
    packageExists(packageData.dependencies)
  )}`;
}
async function removeDevDependencies(packageNames, packageData) {
  await $`pnpm remove ${packageNames.filter(
    packageExists(packageData.devDependencies)
  )} -D`;
}
function packageExists(listing = {}) {
  return (packageName) => packageName in listing;
}
export {
  readPackageData,
  removeDependencies,
  removeDevDependencies
};
//# sourceMappingURL=packages.js.map